import { i18n } from "app/i18n";
import { t, Trans } from "@lingui/macro";
import React from "react";

const Test = props => (
  <>
    <strong>{props.a ? <Trans>Hello</Trans> : <Trans>Bye</Trans>}</strong>
    <div>
      <strong>
        {props.a ? <Trans>Hello {props} nice</Trans> : <Trans>Bye bye</Trans>}
      </strong>
    </div>
    <strong label={i18n._("Hello")}>{props.a || <Trans>Hello</Trans>}</strong>
    <title>{i18n._(t`Hi ${props.a} Karl`)}</title>
    <title>{i18n._("Hi Karl")}</title>
    <Plural one="Hello kek" />
    <p>
      <Trans>
        Hello text Hello text Hello text Hello text Hello textHello textHello
        textHello text Hello text Hello text
      </Trans>
    </p>
    <Button>
      <Trans>text</Trans>
    </Button>
    <div>
      <Trans>
        <Typo semibold inline>
          Company:
        </Typo>
        Pleo Technologies A/S
      </Trans>
    </div>
    <Plural value={1} one="Valid for # day" other="Valid for # days" />
    <Select value={1} one="Valid for # day" other="Valid for # days" />
    <Plural value={1} one={"Valid for # day"} other={"Valid for # days"} />
  </>
);

// const HELLO = "Hello";
// const hello = "Hello";
const languageOptions1 = [{ label: i18n._("Dansk"), value: "da" }];
/* eslint-disable string-to-lingui/missing-lingui-transformation */
const languageOptions2 = [{ label: "Dansk", value: "da" }];
const languageOptions12 = [{ label: "Dansk", value: "da" }];
/* eslint-enable string-to-lingui/missing-lingui-transformation */
const languageOptions3 = [{ label: i18n._("Dansk"), value: "da" }];
/* eslint-disable */
const languageOptions4 = [{ label: "Hello", value: "da" }];
/* eslint-enable */
const languageOptions5 = [{ label: i18n._("Dansk"), value: "da" }];
const languageOptions6 = [{ label: i18n._("Dansk"), value: "da" }];
// eslint-disable-next-line string-to-lingui/missing-lingui-transformation
const languageOptions7 = [{ label: "Dansk", value: "da" }];
const languageOptions11 = [{ label: i18n._("Dansk"), value: "da" }];
// eslint-disable-next-line
const languageOptions8 = [{ label: "Dansk", value: "da" }];
const languageOptions9 = [{ label: i18n._("Dansk"), value: "da" }];
